From d47d4a5ef7c78c3ca84450a2164ec63a5697e110 Mon Sep 17 00:00:00 2001
From: Tim Rozet <trozet@redhat.com>
Date: Wed, 29 Jun 2016 16:17:31 -0400
Subject: Fixes nic template rendering

Issue where in default network_settings, api_network is not specified.
This means that the settings do not have api_network in its output, but
the nic template checks to see if api_network vlan is native in its
logic.  This patch assumes a vlan will be numeric. A blank value or a
value of 'native' will not be numeric therefore default is expanded to
allow blank values as non-vlan networks.

Also fixes controller to always have br-ex.

Change-Id: Ibebb231901e653127175aef194eec708e8507da2
Signed-off-by: Tim Rozet <trozet@redhat.com>
Signed-off-by: Dan Radez <dradez@redhat.com>
Signed-off-by: Tim Rozet <trozet@redhat.com>
---
 ci/deploy.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

(limited to 'ci')

diff --git a/ci/deploy.sh b/ci/deploy.sh
index abf3866b..9f678153 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -664,7 +664,7 @@ function configure_undercloud {
       ovs_dpdk_bridge=''
     fi
 
-    if ! controller_nic_template=$(python3.4 -B $LIB/python/apex-python-utils.py nic-template -r controller -s $NETSETS -i $net_isolation_enabled -t $CONFIG/nics-template.yaml.jinja2 -n "$enabled_network_list" -e $ext_net_type -af $ip_addr_family); then
+    if ! controller_nic_template=$(python3.4 -B $LIB/python/apex-python-utils.py nic-template -r controller -s $NETSETS -i $net_isolation_enabled -t $CONFIG/nics-template.yaml.jinja2 -n "$enabled_network_list" -e "br-ex" -af $ip_addr_family); then
       echo -e "${red}ERROR: Failed to generate controller NIC heat template ${reset}"
       exit 1
     fi
-- 
cgit